=== debian/changelog ===
ros-noetic-cob-gazebo-ros-control (0.7.7-1buster) buster; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.6-1buster) buster; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.5-1buster) buster; urgency=high

  * Merge pull request #47 <https://github.com/ipa320/cob_gazebo_plugins/issues/47> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #44 <https://github.com/ipa320/cob_gazebo_plugins/issues/44> from MatthiasNieuwenhuisen/fix_joint_filtering_segfault
    Fix wrong array index occuring if using joint filtering
  * Fix wrong array index occuring if using joint filtering
  * Contributors: Felix Messmer, Matthias Nieuwenhuisen, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 25 Sep 2020 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.4-1buster) buster; urgency=high

  * Merge pull request #41 <https://github.com/ipa320/cob_gazebo_plugins/issues/41> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #40 <https://github.com/ipa320/cob_gazebo_plugins/issues/40> from fmessmer/fix_warnings
    fix catkin_package DEPENDS warning
  * fix catkin_package DEPENDS warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.3-1buster) buster; urgency=high

  * Merge pull request #38 <https://github.com/ipa320/cob_gazebo_plugins/issues/38> from benmaidel/melodic-devel
    [Melodic]
  * backwards compatibility wrt hardware interface prefix
  * query physics engine type
  * remove obsolete member variable
  * adjust plugin readme
  * fix get simulation time for older gazebo version
  * fix interface_type inference
  * joint_interface should have prefix 'hardware_interface'
  * fix compilation error
  * Contributors: Benjamin Maidel, Felix Messmer, Shohei Fujii, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.2-1buster) buster; urgency=high

  * Merge pull request #34 <https://github.com/ipa320/cob_gazebo_plugins/issues/34> from ipa320/kinetic_release_candidate
    Kinetic release candidate
  * Merge pull request #32 <https://github.com/ipa320/cob_gazebo_plugins/issues/32> from ipa-fxm/kinetic_dev
    [kinetic] updates from indigo_dev
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_gazebo_plugins into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #31 <https://github.com/ipa320/cob_gazebo_plugins/issues/31> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #28 <https://github.com/ipa320/cob_gazebo_plugins/issues/28> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.1-1buster) buster; urgency=high

  * fix dependencies
  * Contributors: Richard Bormann

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.7.0-1buster) buster; urgency=high

  * Merge branch 'indigo_dev' of github.com:ipa320/cob_gazebo_plugins into multi_distro_travis_kinetic
    Conflicts:
    .travis.yml
    README.md
  * compile with c++11
  * Kinetic and Gazebo > 2, fixed hardware_interface::ControllerInfo API change
  * Contributors: Benjamin Maidel, Dinesh Thakur, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.6-1buster) buster; urgency=high

  * add state_valid behavior
  * add estop behavior
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.5-1buster) buster; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.4-1buster) buster; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.3-1buster) buster; urgency=high

  * boost revision
  * remove trailing whitespaces
  * migration to package format 2
  * fix missing dependency
  * review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.2-1buster) buster; urgency=high

  * using strict_hwi_switch api
  * more suitable name for plugin
  * beautify CMakeLists
  * use hwi_switch api
  * proper reset of joint limit interface
  * cleanup output
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-gazebo-ros-control (0.6.1-1buster) buster; urgency=high

  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * enable joint filtering for multi_hwi_gazebo plugin
  * remove support for X_PID control_methods for simplicity (obsolete anyway)
  * unify ROS STREAM output
  * ignore 'robotSimType'
  * Update README.md
  * Update README.md
  * add README for new plugin
  * correctly reset all interfaces in doSwitchHWInterface
  * new gazebo_ros_control_plugin supporting multiple hardwareinterfaces and switch on controller_switching
  * Contributors: Felix Messmer, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 11 Dec 2014 23:00:00 -0000
