=== debian/control ===
Source: ros-noetic-cob-gazebo-ros-control
Section: misc
Priority: optional
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), gazebo11, ros-noetic-catkin, ros-noetic-controller-manager, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: http://ros.org/wiki/cob_gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-noetic-cob-gazebo-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo11, ros-noetic-controller-manager, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-transmission-interface, ros-noetic-urdf
Description: This package contains a specialization of the gazebo_ros_control plugin.
 The cob_gazebo_ros_control plugin allows Multi-HardwareInterface-Support.
